FROM openshift/golang-builder:1.12 AS builder
ENV SOURCE_GIT_COMMIT=5f4e5c23ec8d5e8a4446eda078c14ae154ffa0b6 SOURCE_GIT_TAG=golang-github-prometheus-node_exporter-4.0.0-0.100.0-115-g5f4e5c2 SOURCE_GIT_URL=https://github.com/openshift/node_exporter SOURCE_DATE_EPOCH=1579123809 BUILD_VERSION=v4.2.21 BUILD_RELEASE=202002240343

WORKDIR /go/src/github.com/prometheus/node_exporter
COPY . .
RUN if yum install -y prometheus-promu; then export BUILD_PROMU=false; fi && make build

FROM openshift/ose-base:ubi7
ENV SOURCE_GIT_COMMIT=5f4e5c23ec8d5e8a4446eda078c14ae154ffa0b6 SOURCE_GIT_TAG=golang-github-prometheus-node_exporter-4.0.0-0.100.0-115-g5f4e5c2 SOURCE_GIT_URL=https://github.com/openshift/node_exporter SOURCE_DATE_EPOCH=1579123809 BUILD_VERSION=v4.2.21 BUILD_RELEASE=202002240343

COPY --from=builder /go/src/github.com/prometheus/node_exporter/node_exporter /bin/node_exporter

RUN yum install -y virt-what && yum clean all && rm -rf /var/cache/*
COPY text_collectors/virt.sh /node_exporter/collectors/init/

EXPOSE      9100
USER        nobody
ENTRYPOINT  [ "/bin/node_exporter" ]

LABEL \
        io.k8s.display-name="Node Exporter" \
        io.k8s.description="Prometheus exporter for hardware and OS metrics exposed by *NIX kernels, written in Go with pluggable metric collectors" \
        io.openshift.tags="openshift,node" \
        maintainer="The Prometheus Authors <prometheus-developers@googlegroups.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-prometheus-node-exporter" \
        com.redhat.component="golang-github-prometheus-node_exporter-container" \
        version="v4.2.21" \
        release="202002240343" \
        io.openshift.build.commit.id="5f4e5c23ec8d5e8a4446eda078c14ae154ffa0b6" \
        io.openshift.build.source-location="https://github.com/openshift/node_exporter" \
        io.openshift.build.commit.url="https://github.com/openshift/node_exporter/commit/5f4e5c23ec8d5e8a4446eda078c14ae154ffa0b6"

